Package org.globus.ftp.dc

# Interface TransferThreadFactory

All Known Implementing Classes:
  `GridFTPTransferThreadFactory`, `SimpleTransferThreadFactory`

public interface TransferThreadFactory

## Method Summary

Modifier and Type
Method
Description
`TransferThread`
`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`

## Method Details

### getTransferSinkThread

TransferThread getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`

### getTransferSourceThread

TransferThread getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`